Bug 169819 - folderview should have an refresh option
Summary: folderview should have an refresh option
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-folderview (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-25 23:09 UTC by Björn Ruberg
Modified: 2014-02-18 12:15 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Ruberg 2008-08-25 23:09:49 UTC
Version:            (using KDE 4.1.0)
OS:                Linux
Installed from:    Ubuntu Packages

I can't find any option to reload the desktop shown in folderview.

I have a laptop where there should be an smb://<server> directory displayed in folderview. The net-connection is being established be knetworkmanager which is not started up when folderview starts up.
So the samba-path is illegal as there is no net connection at that moment.

I simply need a button which is making folderview loading the url again. I suggest a refresh-entry in the context menu.

I looked into the code and saw that such a function is obviously planned but not implemented. Before I write a patch myself I want to make sure that nobody else already has implemented that.
Comment 1 Pascal d'Hermilly 2008-09-03 18:29:36 UTC
I confirm this problem. It is also a problem with the fish protocol. When I change files remotely I don't see it reflected in the folderview  plasmoid and there is no way to update it.

//Pascal
Comment 2 George Kiagiadakis 2008-09-23 00:08:06 UTC
SVN commit 862722 by fredrik:

Add a refresh menu item to the context menu so it is possible to force
the applet to refresh the view.

BUG: 169819


 M  +30 -12    folderview.cpp 
Comment 3 Ricardo Ferreira 2014-01-16 09:42:58 UTC
Hi everyone,

(In reply to comment #2)
> SVN commit 862722 by fredrik:
> 
> Add a refresh menu item to the context menu so it is possible to force
> the applet to refresh the view.
> 
> BUG: 169819

I've been recently "introduced" to the issue. I use encfs and have a folderview applet pointing to the directory mounted by "cryptkeeper" (a GUI for encfs). This directory exists only after I mount the fuse filesystem, which results in the folderview not showing any content ("The file or folder xxxxxxxx does not exist." on login and remains in this state even after the directory is created.

My current "fix" is to 
1) unlock the widgets
2) go into the settings
3) change the folder (press apply)
4) change back to the original folder (press ok)
5) lock the widgets

I have 3 of these folderviews on the desktop so I need to run this "script" 3x which is a bit of a nuisance to run each time I login.

I saw this SVN commit message, but the issue still seems to be present (Debian's KDE version 4.8.4 (June 2012) ), and the mentioned refresh button is not there.

Anyway, thanks for the great software.

Ricardo
(kde fan since 1999)

> 
> 
>  M  +30 -12    folderview.cpp
Comment 4 Christoph Feck 2014-02-09 16:50:30 UTC
Ricardo, try the right mouse button context menu inside the folder view, there should be a "Refresh View" menu item.
Comment 5 Ricardo Ferreira 2014-02-18 12:06:05 UTC
Hi Christoph,

That menu item only exists if the folder view pointed (last time time it refreshed) to an existing folder, otherwise - when it states "The file or folder xxxxxxx does not exist." - the only menu items in the context menu are "Folder view settings" and "Desktop options".

The idea here is that the particular folder only exists after mounting the filesystem.

Thanks for your time Christoph.
Ricardo
Comment 6 Ricardo Ferreira 2014-02-18 12:15:41 UTC
I just noticed that the keyboard shortcuts actually work after clicking on a particular widget. As such I can click on the "offending" folder view and press F5 and it refreshes. I will use this in the future, but it would be nice - for people unaware - if the refresh option still shows up in the context menu. 

Thanks!

Ricardo